Page MenuHomePhabricator

svn, git, ssh should be valid schemes for URL data types on wikidata.org
Closed, ResolvedPublic

Description

Hi,

When trying to set the URL of https://www.wikidata.org/wiki/Property:P1324 to svn://host.com/foo/bar via the web interface available at https://www.wikidata.org/wiki/Q1891726, it fails with an error: Unsupported URL scheme : svn.

The data model suggests all schemes should be supported. If that's impractical for some reason, would it be possible to add svn, git and ssh ?

Cheers

List of items where source code repository must be updated when the problem is fixed

Event Timeline

dachary created this task.Jul 21 2016, 2:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 21 2016, 2:42 PM
Lydia_Pintscher triaged this task as Medium priority.Jul 21 2016, 3:41 PM
Lydia_Pintscher moved this task from incoming to ready to go on the Wikidata board.

Change 300342 had a related patch set uploaded (by Dachary):
Add svn, git and ssh schemes

https://gerrit.wikimedia.org/r/300342

dachary updated the task description. (Show Details)Jul 22 2016, 4:51 PM
Mbch331 added a subscriber: Mbch331.EditedJul 22 2016, 5:18 PM

I don't think every scheme should necessarily be supported. Some schemes aren't useful for Wikidata. And neither the data model nor the linked RFC describe which schemes are acceptable. So I think schemes should only be added when they are actually needed. No objections to these 3 BTW.

dachary updated the task description. (Show Details)Jul 23 2016, 10:30 AM

Change 300342 merged by jenkins-bot:
Add svn, git and ssh schemes

https://gerrit.wikimedia.org/r/300342

dachary updated the task description. (Show Details)Jul 27 2016, 2:52 PM
dachary added a subscriber: aude.Jul 28 2016, 1:06 PM

@aude is there anything else to be done for this patch to benefit wikidata.org ? Or should we just wait ?

aude added a comment.Jul 28 2016, 2:45 PM

@dachary we don't need to do anything else, except wait until the next deployment of new Wikibase code. (next week)

dachary updated the task description. (Show Details)Jul 29 2016, 5:52 PM
dachary updated the task description. (Show Details)Aug 3 2016, 9:19 AM
Lydia_Pintscher closed this task as Resolved.Aug 3 2016, 9:25 AM
Lydia_Pintscher claimed this task.
Lydia_Pintscher added a subscriber: Lydia_Pintscher.

Works on test.wikidata.org now. Will go to wikidata.org later this week.

dachary updated the task description. (Show Details)Aug 3 2016, 10:10 AM
dachary updated the task description. (Show Details)Aug 3 2016, 10:57 AM